package net.knarcraft.knargui;

import org.bukkit.entity.Player;

/**
 * An action which can be triggered on GUI interaction
 */
public interface GUIAction {

    /**
     * Runs this action for the given player
     *
     * @param player <p>The player that triggered this action</p>
     */
    void run(Player player);

}
